<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<title>W3.CSS Template</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
<body class="w3-content" style="max-width:1300px">

<!-- First Grid: Logo & About -->
<div class="w3-row">
    <div class="w3-half w3-black w3-container w3-center" style="height:700px">
        <div class="w3-padding-64">
            <h1>My Logo</h1>
        </div>
        <div class="w3-padding-64">
            <a href="index.html" th:href="@{/}" class="w3-button w3-black w3-block w3-hover-blue-grey w3-padding-16">Home</a>
            <a href="#work" class="w3-button w3-black w3-block w3-hover-teal w3-padding-16">My Work</a>
            <a href="#work" class="w3-button w3-black w3-block w3-hover-dark-grey w3-padding-16">Resume</a>
            <a href="#contact" class="w3-button w3-black w3-block w3-hover-brown w3-padding-16">Contact</a>

                <h2>Top 3 Rated Beers</h2>
                <div class="w3-container w3-responsive">
                    <table class="w3-table">
                        <tr>
                            <th>Beer Name</th>
                            <th>Rating Given</th>
                            <th>Change</th>
                        </tr>
                        <tr class="w3-white" th:each="rating : ${topRatedBeers}">
                            <td th:text="${rating.getBeer().getName()}" >2012-2016</td>
                            <td th:text="${rating.getRating()}">The rest is history..</td>
                            <td><a th:href="@{rating/{id} (id=${rating.getId()})}"><button type="button" class="btn btn-sm btn-outline-secondary">Change</button></a></td>
                        </tr>
                    </table>
                </div>

        </div>

    </div>
    <div class="w3-half w3-blue-grey w3-container" style="height:700px">
        <div class="w3-padding-64 w3-center">
            <h1>About Me</h1>
            <img src="/w3images/avatar3.png" class="w3-margin w3-circle" alt="Person" style="width:50%">
            <div class="w3-left-align w3-padding-large">
                <label>Username: </label><p th:text="${currentUser.getUsername()}">Lorem ipusm sed vitae justo condimentum, porta lectus vitae, ultricies congue gravida diam non fringilla.</p>
            </div>
        </div>
    </div>
</div>

<!-- Second Grid: Work & Resume -->
<div class="w3-row">
    <div class="w3-half w3-indigo w3-container" style="min-height:800px">
        <div class="w3-padding-64 w3-center">
            <h2>Drank and Want to drink Beers</h2>
            <p>A draft from my CV</p>
            <div class="w3-container w3-responsive">
                <table class="w3-table">
                    <tr>
                        <th>Drank Beers</th>
                    </tr>
                    <tr class="w3-white" th:each=" status : ${beerDrunkStatus}">
                        <td th:text="${status.getBeer().getName()}">2012-2016</td>
                    </tr>
                </table>
            </div>
        </div>
    </div>


    <div class="w3-half w3-indigo w3-container" style="min-height:800px">
        <div class="w3-padding-64 w3-center">
            <h2>Resume</h2>
            <p>A draft from my CV</p>
            <div class="w3-container w3-responsive">
                <table class="w3-table">
                    <tr>
                        <th>Want to drink Beers</th>
                    </tr>
                    <tr class="w3-white" th:each="status : ${beerWantToDrinkStatus}">
                        <td th:text="${status.getBeer().getName()}">2012-2016</td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
</div>

<!-- Third Grid: Swing By & Contact -->
<div class="w3-row">
    <div class="w3-half w3-indigo w3-container" style="min-height:800px">
        <div class="w3-padding-64 w3-center">
            <h2>Created Beers</h2>
            <p>A draft from my CV</p>
            <div class="w3-container w3-responsive">
                <table class="w3-table">
                    <tr>
                        <th>Beer</th>
                        <th>Details</th>
                        <th>Edit</th>
                        <th>Delete</th>
                    </tr>
                    <tr class="w3-white" th:each="beer : ${createdList}">
                        <td th:text="${beer.getName()}">2012-2016</td>
                        <td><a th:href="@{~/beers/{id} (id=${beer.id})}"><button type="button" class="btn btn-sm btn-outline-secondary">Details</button></a></td>
                        <td><a th:href="@{~/beers/{id}/edit (id=${beer.id})}"><button type="button" class="btn btn-sm btn-outline-secondary">Edit</button></a></td>
                        <td><a th:href="@{~/beers/{id}/delete (id=${beer.id})}"><button type="button" class="btn btn-sm btn-outline-secondary">Delete</button></a></td>
                    </tr>
                </table>
            </div>
        </div>
    </div>


    <div class="w3-half w3-indigo w3-container" style="min-height:800px">
        <div class="w3-padding-64 w3-center">
            <h2>Rated Beers</h2>
            <p>A draft from my CV</p>
            <div class="w3-container w3-responsive">
                <table class="w3-table">
                    <tr>
                        <th>Beer Name</th>
                        <th>Rating Given</th>
                        <th>Change</th>
                    </tr>
                    <tr class="w3-white" th:each="rating : ${ratingList}">
                        <td th:text="${rating.getBeer().getName()}" >2012-2016</td>
                        <td th:text="${rating.getRating()}">The rest is history..</td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
</div>

<!-- Footer -->
<footer class="w3-container w3-black w3-padding-16">
    <p>Powered by <a href="https://www.w3schools.com/w3css/default.asp" target="_blank">w3.css</a></p>
</footer>

</body>
</html>